package org.iri_research.renkan.models;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public abstract class AbstractStyle {

    @SuppressWarnings("unused")
    private static Logger logger = LoggerFactory.getLogger(AbstractStyle.class);


    public AbstractStyle(String color, boolean dash, int thickness) {
        this.color = color;
        this.dash = dash;
        this.thickness = thickness;
    }
    
    protected AbstractStyle() {
    }
    

    private String color;

    private boolean dash;

    private int thickness;


    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public boolean isDash() {
        return dash;
    }

    public void setDash(boolean dash) {
        this.dash = dash;
    }

    public int getThickness() {
        return thickness;
    }

    public void setThickness(int thickness) {
        this.thickness = thickness;
    }
    
    
}
